SoVRMLCoordinateInterpolator(3)

NAME
SoVRMLCoordinateInterpolator - The SoVRMLCoordinateInterpolator class is used to interpolate 3D coordinates.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLCoorinateInterpolator.h>

Inherits SoVRMLInterpolator.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoEngineOutputData * getOutputData (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)

  Public Attributes
SoMFVec3f keyValue
SoEngineOutput value_changed

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLCoordinateInterpolator class is used to interpolate 3D coordinates. The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

CoordinateInterpolator {
  eventIn      SFFloat set_fraction        # (-inf, inf)
  exposedField MFFloat key           []    # (-inf, inf)
  exposedField MFVec3f keyValue      []    # (-inf, inf)
  eventOut     MFVec3f value_changed
}

This node linearly interpolates among a list of MFVec3f values. The number of coordinates in the keyValue field shall be an integer multiple of the number of keyframes in the key field. That integer multiple defines how many coordinates will be contained in the value_changed events. 4.6.8, Interpolator nodes (http://www.web3d.org/documents/specifications/14772/V2.0/part1/concepts.html#4.6.8), contains a more detailed discussion of interpolators.

Member Function Documentation

  SoType SoVRMLCoordinateInterpolator::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLCoordinateInterpolator::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVRMLInterpolator.

  const SoFieldData ** SoVRMLCoordinateInterpolator::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLCoordinateInterpolator::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoVRMLInterpolator.

  const SoEngineOutputData * SoVRMLCoordinateInterpolator::getOutputData (void) const [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Reimplemented from SoVRMLInterpolator.

  void SoVRMLCoordinateInterpolator::initClass (void) [static]

Author

Generated automatically by Doxygen for Coin from the source code.